<?php session_start()?>
<html>
<head>
<title>SLOVJANI.info - medžuslovjansky časopis - interslavic journal</title>
<meta name="description" content="medžuslovjansky časopis - interslavic journal">
<meta name="keywords" content="medžuslovjansky časopis - interslavic journal">
<meta name="author" content="INTERSLAVIC LANGUAGE GROUP">
<meta name="owner" content="INTERSLAVIC LANGUAGE GROUP">
<meta content="text/html; charset=utf-8" http-equiv="content-type">
<link rel="stylesheet" type="text/css" href="styly.css">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-136415904-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-136415904-1');
</script>

</head>

<body>
<div id="logo-container">
       <div id="logo-right"><img src="images/logo-right.gif"></div>
       <div id="logo-left"><img src="images/logo-left.gif"></div>
</div>

<ul class="menu">
  <?php if ($_SESSION["admin"] == 0) 
      {
      }
      else
      {  ?>
  <li><a href="administrace.php">
  <strong>administrace</strong><br>
  <span id="condensed">administration</span></a></li>
  <?php } ?>
  
  <li><a href="registrace.php">
  <strong>registrace</strong><br>
  <span id="condensed">registration</span></a></li>

  <li><a href="login.php">
  <strong>přihlášení</strong><br>
  <span id="condensed">login</span></a></li>
  
  <?php if(!$_SESSION["jmeno"] || $_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne") 
      {
      }
      else
      {  ?>
  <li><a href="vkladani.php">
  <strong>vkládání článků</strong><br>
  <span id="condensed">insertion of articles</span></a></li>
     <?php } ?>
  
  <li><a href="index.php">
  <strong>o časopisu</strong><br>
  <span id="condensed">about the journal</span></a></li>
  
  <li><a href="redakcija.php">
  <strong>redakcija</strong><br>
  <span id="condensed">editors</span></a></li>
  
  <li><a href="pregledanje-clankov.php">
  <strong>prěgledanje člankov</strong><br>
  <span id="condensed">review process</span></a></li>
  
  <li><a href="poucenje-avtoram.php">
  <strong>poučenje avtoram</strong><br>
  <span id="condensed">instruction for authors</span></a></li>
  
  <li><a href="poucenje-citateljam.php">
  <strong>poučenje čitateljam</strong><br>
  <span id="condensed">instruction for readers</span></a></li>
  
  <li><a href="archiv.php" style="background-color: #02447E; color: white;">
  <strong>archiv</strong><br>
  <span id="condensed">archive</span></a></li>
</ul>

<br />
<?php
if($_SESSION["jmeno"]) {
?>
    Welcome, you are login as <strong><?php echo $_SESSION["jmeno"]; ?>.</strong> Click here to <a href="odhlaseni.php"><button type="button">Logout</button></a>.
<?php
}else{}
?>

<br />
<br />
<?php
if($_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne")  {
?>
    <strong>Vaše registrace je vedená jako dočasně odebraná nebo neschválená. Vyčkejte, až ji admin schválí. Z tohoto důvodu nemůžete zatím vkládat články.</strong>
<?php
}else{}
?>

<h1>Archiv - archive</h1>
<p style="text-align:center;">(<a href="/archive/index.html">Here</a> is the database in the computer-friendly format of HTML files per each article)</p>

<table width=100%>
<col width=50%><col width=50%>
<tr>
<td>

<p id="slavic">
V pytanjah možno koristiti dva specialne znaky znajeme iz nakaza LIKE v jezyku SQL: 
znak procent <span id='code'>%</span>, ktory jest rovny mnogo ili nijednomu libo-kakym znakam, 
i znak podčrknutja <span id='code'>_</span>, ktory jest rovny točno jednomu libo-kakomu znaku. 
Do podrobnosti čitajte <a href="https://www.w3schools.com/sql/sql_wildcards.asp"> tutoj tekst</a>.
</p>

<p id="english">
Two wildcard characters known from the SQL command LIKE can be used in the search: the percent sign <span id='code'>%</span> matches zero or more unknown characters, and underscore <span id='code'>_</span> just one unknown character. For more info see <a href="https://www.w3schools.com/sql/sql_wildcards.asp">this text</a>.
</p>

</td>
<td>
<FORM ACTION="poiskaj.php" METHOD=GET style="text-align: right;">
<p><strong>avtor</strong> (author) <input type="text" name="avtor"></p>
<p><strong>nazvanje</strong> (title) <input type="text" name="nazvanje"></p>
<p><strong>abstrakt</strong> (abstract) <input type="text" name="abstrakt"></p>
<p><strong>ključno slovo</strong> (keyword) <input type="text" name="kljucno"></p>
<p><strong>lěto</strong> (year) <strong>od</strong> (from) <input type="number" name="od" min=2016 max=2999> <strong>do</strong> (to) <input type="number" name="do" min=2016 max=2999></p>
<p><input type="submit" value="Poiskaj"></p>
</FORM>
</td>
</tr>
</table>

<p style="text-align:center;">(spisok vsih avtorov jest <a href="#avtori">na koncu tutoj stranice</a>)</p>

<!-- ##############################################################-->
<!-- ##############################################################-->
<!-- ##############################################################-->

<?php

$db = mysqli_connect('localhost','dbtesar','dbtesarX1','dbtesar')
 or die('<p>Error connecting to MySQL server.<p></body></html>');

$query = "SELECT * FROM avt_cla , avtor , clanok WHERE avt_cla.avtor = avtor.id AND avt_cla.clanok = clanok.id ORDER BY clanok.leto DESC , clanok.izdanje DESC , clanok.id ASC , avt_cla.red_avtora ASC";

mysqli_query($db, $query) or die('<p>Error querying database.<p></body></html>');
$result = mysqli_query($db, $query);

//============ begin

$casopis = "";
$citacija = "";
$konecTablice = "";
$clanok = 0;
$poslednoLeto = 0;

//========= KOLIKO LET POKAZYVATI PODROBNO, OSTALNO KAKO KLIK NA 2015, 2016, ...
$limitArchiva = 2;
//=======================

while ($row = mysqli_fetch_array($result)) 
  {
   if ($poslednoLeto == 0) 
   {
       $poslednoLeto = $row["leto"];
   }
   if (($row["leto"] + $limitArchiva) > $poslednoLeto)
   
   {
   $casopisNew = $row["leto"] . " (" . $row["izdanje"] .")<br>";
   $clanokNew = $row["clanok"];
   
   if ($casopis <> $casopisNew) 
              {
               $casopis = $casopisNew;
               $filename = $row["leto"] . "-" . $row["izdanje"];
               if ($citacija <> "") 
                   {
                    echo $citacija;
                    $citacija = "";
                   }
               if ($konecTablice <> "")
               {
               echo $konecTablice;
               }
               echo "<h2>" . $casopis . "</h2>\n\n";
               if ($_SESSION["stahovani"] == 'ano')
               {
               echo "<table><col><col><tr>\n";
               echo "<td class='col-issue'>";
               echo "<a href='archive/" . $filename . ".pdf'>";
               echo "<img class='img-issue' src='archive/" . $filename . ".jpg'></a><br>";
               echo "<a href='archive/" . $filename . ".pdf'>PDF format</a>";
               echo "</td>\n<td>";
               }
               else {}
               $konecTablice = "</td></tr></table>\n\n";
              }
              
   $avtor = $row["kratko_ime"];
              
   if ($clanok == $clanokNew) 
      {
        echo ", ";
        echo "<a href='poiskaj.php?avtor=" . $avtor . "'>" . $avtor . "</a>";
      }
      else
      {
        $clanok = $clanokNew;
        if ($citacija <> "") echo $citacija;
        echo "<p style='text-align:left;'>";
        echo "<a href='poiskaj.php?avtor=" . $avtor . "'>" . $avtor . "</a>";
      }
   $leto = $row["leto"];
   
   //citacija begin   
   $citacija = " <strong>" . $row["nazvanje"] . "</strong>" ;
   if ($row["title"] <> "") $citacija = $citacija . " (in English: " . $row["title"] . ")";

   $citacija = $citacija . " in: <i>";
   
   if ($row["clanok"] <= 113)
          {$citacija = $citacija . "Slovanská unie";}
          else
          {$citacija = $citacija . "Slovjani.info";}
   
   $citacija = $citacija . "</i>, <a href='poiskaj.php?od=" . $leto . "&do=" . $leto . "'>" . $leto . "</a>, " . ($row["leto"] - 2015) . "(" . $row["izdanje"] . "), ";
   
   if ($row["stranica_od"] == $row["stranica_do"])
         {$citacija = $citacija . "page " . $row["stranica_od"];}
         else
         {$citacija = $citacija . "pages " . $row["stranica_od"] . "-" . $row["stranica_do"];}
         
   $citacija = $citacija . ". ";
   
   if ($row["clanok"] <= 113)
          {$citacija = $citacija . "ISSN 2464-756X (print), ISSN 2464-7578 (on-line).";}
          else
          {$citacija = $citacija . "ISSN 2570-7108 (print), ISSN 2570-7116 (on-line).";}
          
   $citacija = $citacija . " Available from: http://slovjani.info.</p>\n";
    
   if ($row["abstrakt"] <> "") $citacija = $citacija . "<p class='indented'>" . $row["abstrakt"] . "</p>\n";
   if ($row["kljucna"] <> "") $citacija = $citacija . "<p class='indented'><strong>ključne slova: </strong>" . $row["kljucna"] . "</p>\n";
   if ($row["summary"] <> "") $citacija = $citacija . "<p class='indented'>" . $row["summary"] . "</p>\n";
   if ($row["keywords"] <> "") $citacija = $citacija . "<p class='indented'><strong>keywords: </strong>" . $row["keywords"] . "</p>\n";
//citacija end    
  }
   else
     {
      break;
     } 
  }
  
if ($citacija <> "") echo $citacija;
if ($konecTablice <> "") echo $konecTablice;  

//========== end

$staroLeto = $poslednoLeto - $limitArchiva;

if ($staroLeto >= 2016)
      {
       echo "<h2>Starše izdanja</h2>\n";
       echo "<p style='text-align:center;'>";
       $prvy = True;
       while ($staroLeto >= 2016)
           {
            if (!$prvy) echo ", ";
            $prvy = False;
            echo "<a href='poiskaj.php?od=" . $staroLeto . "&do=" . $staroLeto . "'>" . $staroLeto . "</a>";
            $staroLeto--;
           }
       
       echo "</p>";
      }

$query = "SELECT * FROM avtor ORDER BY avtor.kratko_ime ASC";

mysqli_query($db, $query) or die('<p>Error querying database.<p></body></html>');
$result = mysqli_query($db, $query);

echo "<h2 id='avtori'>Vsi avtori (abecedno) - all authors (alphabetically sorted)</h2>\n";

echo "<ul>\n";
while ($row = mysqli_fetch_array($result)) 
  {
   echo "<li>";
   echo "<a href = 'poiskaj.php?avtor=" . $row["kratko_ime"] . "'><strong>" . $row["polno_ime"] . "</strong></a>";
   if (!$row["titul"] == "") echo ", " . $row["titul"];
   if (!$row["institucija"] == "") echo " (" . $row["institucija"] . ")";
   if (!$row["orcid"] == "") echo ", <a href='http://orcid.org/" . $row["orcid"] . "'>ORCID=". $row["orcid"] . "</a>";
   if (!$row["kontakt"] == "") echo ", " . $row["kontakt"];
   echo "</li>\n";
  }
echo "</ul>";
echo "<p></p>\n\n";


mysqli_close($db);

?>

<br />
<?php include("footer.html"); ?> 

</body>
</html>