<?php session_start()?>
<html>
<head>
<title>SLOVJANI.info - medžuslovjansky časopis - interslavic journal</title>
<meta name="description" content="medžuslovjansky časopis - interslavic journal">
<meta name="keywords" content="medžuslovjansky časopis - interslavic journal">
<meta name="author" content="INTERSLAVIC LANGUAGE GROUP">
<meta name="owner" content="INTERSLAVIC LANGUAGE GROUP">
<meta content="text/html; charset=utf-8" http-equiv="content-type">
<link rel="stylesheet" type="text/css" href="styly.css">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-136415904-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-136415904-1');
</script>

</head>

<body>
<div id="logo-container">
       <div id="logo-right"><img src="images/logo-right.gif"></div>
       <div id="logo-left"><img src="images/logo-left.gif"></div>
</div>

<ul class="menu">
  <?php if ($_SESSION["admin"] == 0) 
      {
      }
      else
      {  ?>
  <li><a href="administrace.php">
  <strong>administrace</strong><br>
  <span id="condensed">administration</span></a></li>
  <?php } ?>
  
  <li><a href="registrace.php">
  <strong>registrace</strong><br>
  <span id="condensed">registration</span></a></li>

  <li><a href="login.php">
  <strong>přihlášení</strong><br>
  <span id="condensed">login</span></a></li>
  
  <?php if(!$_SESSION["jmeno"] || $_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne") 
      {
      }
      else
      {  ?>
  <li><a href="vkladani.php">
  <strong>vkládání článků</strong><br>
  <span id="condensed">insertion of articles</span></a></li>
     <?php } ?>
  
  <li><a href="index.php">
  <strong>o časopisu</strong><br>
  <span id="condensed">about the journal</span></a></li>
  
  <li><a href="redakcija.php">
  <strong>redakcija</strong><br>
  <span id="condensed">editors</span></a></li>
  
  <li><a href="pregledanje-clankov.php">
  <strong>prěgledanje člankov</strong><br>
  <span id="condensed">review process</span></a></li>
  
  <li><a href="poucenje-avtoram.php">
  <strong>poučenje avtoram</strong><br>
  <span id="condensed">instruction for authors</span></a></li>
  
  <li><a href="poucenje-citateljam.php">
  <strong>poučenje čitateljam</strong><br>
  <span id="condensed">instruction for readers</span></a></li>
  
  <li><a href="archiv.php">
  <strong>archiv</strong><br>
  <span id="condensed">archive</span></a></li>
</ul>

<br />
<?php
if($_SESSION["jmeno"]) {
?>
    Welcome, you are login as <strong><?php echo $_SESSION["jmeno"]; ?>.</strong> Click here to <a href="odhlaseni.php"><button type="button">Logout</button></a>.
<?php
}else{}
?>

<br />
<br />
<?php
if($_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne")  {
?>
    <strong>Vaše registrace je vedená jako dočasně odebraná nebo neschválená. Vyčkejte, až ji admin schválí. Z tohoto důvodu nemůžete zatím vkládat články.</strong>
<?php
}else{}
?>

<h1>Rezultat poiskanja</h1>

<?php

$avtorF   = $_GET["avtor"];
$nazvanje = $_GET["nazvanje"];
$abstrakt = $_GET["abstrakt"];
$kljucno  = $_GET["kljucno"];
$od       = intval($_GET["od"]);
$do       = intval($_GET["do"]);

if ($avtorF == "")                  $avtorF = "%";
if (substr($avtorF, 0, 1) <> "%")   $avtorF = "%" . $avtorF;
if (substr($avtorF, -1) <> "%")     $avtorF = $avtorF . "%";

if ($nazvanje == "")                $nazvanje = "%";
if (substr($nazvanje, 0, 1) <> "%") $nazvanje = "%" . $nazvanje;
if (substr($nazvanje, -1) <> "%")   $nazvanje = $nazvanje . "%";

if ($abstrakt == "")                $abstrakt = "%";
if (substr($abstrakt, 0, 1) <> "%") $abstrakt = "%" . $abstrakt;
if (substr($abstrakt, -1) <> "%")   $abstrakt = $abstrakt . "%";

if ($kljucno == "")                 $kljucno = "%";
if (substr($kljucno, 0, 1) <> "%")  $kljucno = "%" . $kljucno;
if (substr($kljucno, -1) <> "%")    $kljucno = $kljucno . "%";

if ($od < 2016) $od = 2016;
if ($do < 2016) $do = 2999;
if ($do > 2999) $do = 2999;
if ($do < $od)  $do = $od;

echo "<p style='text-align: center;'><strong>parametry poiskanja:</strong>&nbsp;&nbsp;";
echo "avtor = " , $avtorF , ", ";
echo "nazvanje = " , $nazvanje , ", ";
echo "abstrakt = " , $abstrakt , ", ";
echo "kljucno = " , $kljucno , ", ";
echo "od = " , $od , ", ";
echo "do = " , $do , "</p>\n";

echo "<p style='text-align: center;'>(novo poiskanje jest na <a href='#poiskanje'>na koncu tutoj stranice</a>)</p>\n\n";


// ========================
// ========================
// ========================

$db = mysqli_connect('localhost','dbtesar','dbtesarX1','dbtesar')
 or die('<p>Error connecting to MySQL server.<p></body></html>');

$query = "SELECT clanok.id FROM avt_cla , avtor , clanok WHERE avt_cla.avtor = avtor.id AND avt_cla.clanok = clanok.id AND clanok.leto >= {$od} AND clanok.leto <= {$do} AND ((avtor.kratko_ime LIKE '{$avtorF}') OR (avtor.polno_ime LIKE '{$avtorF}')) AND ((clanok.nazvanje LIKE '{$nazvanje}') OR (clanok.title LIKE '{$nazvanje}')) AND ((clanok.abstrakt LIKE '{$abstrakt}') OR (clanok.summary LIKE '{$abstrakt}')) AND ((clanok.kljucna LIKE '{$kljucno}') OR (clanok.keywords LIKE '{$kljucno}'))"; 
 
$query = "SELECT * FROM avt_cla , avtor , clanok WHERE clanok.id IN " . "(" . $query . ") AND avt_cla.avtor = avtor.id AND avt_cla.clanok = clanok.id ORDER BY clanok.leto DESC , clanok.izdanje DESC , clanok.id ASC , avt_cla.red_avtora ASC";

mysqli_query($db, $query) or die('<p>Error querying database.<p></body></html>');
$result = mysqli_query($db, $query);

if (mysqli_num_rows($result) == 0) 
{echo "<h2>ničto ne naideno</h2>\n";
} 
 else
{
//============ begin

$casopis = "";
$citacija = "";
$konecTablice = "";
$clanok = 0;

while ($row = mysqli_fetch_array($result)) 
  {
   $casopisNew = $row["leto"] . " (" . $row["izdanje"] .")<br>";
   $clanokNew = $row["clanok"];
   
   if ($casopis <> $casopisNew) 
              {
               $casopis = $casopisNew;
               $filename = $row["leto"] . "-" . $row["izdanje"];
               if ($citacija <> "") 
                   {
                    echo $citacija;
                    $citacija = "";
                   }
               if ($konecTablice <> "") 
               {
               echo $konecTablice;
               }
               echo "<h2>" . $casopis . "</h2>\n\n";
               if ($_SESSION["stahovani"] == 'ano')
               {
               echo "<table><col><col><tr>\n";
               echo "<td class='col-issue'>";
               echo "<a href='archive/" . $filename . ".pdf'>";
               echo "<img class='img-issue' src='archive/" . $filename . ".jpg'></a><br>";
               echo "<a href='archive/" . $filename . ".pdf'>PDF format</a>";
               echo "</td>\n<td>";
               }
               else {}
               $konecTablice = "</td></tr></table>\n\n";
              }
              
   $avtor = $row["kratko_ime"];
              
   if ($clanok == $clanokNew) 
      {
        echo ", ";
        echo "<a href='poiskaj.php?avtor=" . $avtor . "'>" . $avtor . "</a>";
      }
      else
      {
        $clanok = $clanokNew;
        if ($citacija <> "") echo $citacija;
        echo "<p style='text-align:left;'>";
        echo "<a href='poiskaj.php?avtor=" . $avtor . "'>" . $avtor . "</a>";
      }
   $leto = $row["leto"];
   
   //citacija begin   
   $citacija = " <strong>" . $row["nazvanje"] . "</strong>" ;
   if ($row["title"] <> "") $citacija = $citacija . " (in English: " . $row["title"] . ")";

   $citacija = $citacija . " in: <i>";
   
   if ($row["clanok"] <= 113)
          {$citacija = $citacija . "Slovanská unie";}
          else
          {$citacija = $citacija . "Slovjani.info";}
   
   $citacija = $citacija . "</i>, <a href='poiskaj.php?od=" . $leto . "&do=" . $leto . "'>" . $leto . "</a>, " . ($row["leto"] - 2015) . "(" . $row["izdanje"] . "), ";
   
   if ($row["stranica_od"] == $row["stranica_do"])
         {$citacija = $citacija . "page " . $row["stranica_od"];}
         else
         {$citacija = $citacija . "pages " . $row["stranica_od"] . "-" . $row["stranica_do"];}
         
   $citacija = $citacija . ". ";
   
   if ($row["clanok"] <= 113)
          {$citacija = $citacija . "ISSN 2464-756X (print), ISSN 2464-7578 (on-line).";}
          else
          {$citacija = $citacija . "ISSN 2570-7108 (print), ISSN 2570-7116 (on-line).";}
          
   $citacija = $citacija . " Available from: http://slovjani.info.</p>\n";
    
   if ($row["abstrakt"] <> "") $citacija = $citacija . "<p class='indented'>" . $row["abstrakt"] . "</p>\n";
   if ($row["kljucna"] <> "") $citacija = $citacija . "<p class='indented'><strong>ključne slova: </strong>" . $row["kljucna"] . "</p>\n";
   if ($row["summary"] <> "") $citacija = $citacija . "<p class='indented'>" . $row["summary"] . "</p>\n";
   if ($row["keywords"] <> "") $citacija = $citacija . "<p class='indented'><strong>keywords: </strong>" . $row["keywords"] . "</p>\n";
//citacija end      
  }
  
if ($citacija <> "") echo $citacija;
if ($konecTablice <> "") echo $konecTablice;  

//========== end
}

mysqli_close($db);

// ========================
// ========================
// ========================

echo "<h1 id='poiskanje'>novo poiskanje</h1>";

echo "<FORM ACTION='poiskaj.php' METHOD=GET style='text-align: right;'>\n";
echo "<strong>avtor</strong> (author) <input type='text' name='avtor' value='" , $avtorF , "'><p></p>\n";
echo "<strong>nazvanje</strong> (title) <input type='text' name='nazvanje' value='" , $nazvanje , "'><p></p>\n";
echo "<strong>abstrakt</strong> (abstract) <input type='text' name='abstrakt' value='" , $abstrakt , "'><p></p>\n";
echo "<strong>ključno slovo</strong> (keyword) <input type='text' name='kljucno' value='" , $kljucno , "'><p></p>\n";
echo "<strong>lěto</strong> (year) <strong>od</strong> (from) <input type='number' name='od' min=2016 max=2999 value=" , $od , "> <strong>do</strong> (to) <input type='number' name='do' min=2016 max=2999 value=" , $do , "><br><br>\n";
echo "<input type='submit' value='poiskaj'>\n";
echo "</FORM>\n";

?>

<br />
<?php include("footer.html"); ?> 

</body>
</html>