<?php session_start()?>
<html>
<head>
<title>SLOVJANI.info - medžuslovjansky časopis - interslavic journal</title>
<meta name="description" content="medžuslovjansky časopis - interslavic journal">
<meta name="keywords" content="medžuslovjansky časopis - interslavic journal">
<meta name="author" content="INTERSLAVIC LANGUAGE GROUP">
<meta name="owner" content="INTERSLAVIC LANGUAGE GROUP">
<meta content="text/html; charset=utf-8" http-equiv="content-type">
<link rel="stylesheet" type="text/css" href="styly.css">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-136415904-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-136415904-1');
</script>

</head>

<body>
<div id="logo-container">
       <div id="logo-right"><img src="images/logo-right.gif"></div>
       <div id="logo-left"><img src="images/logo-left.gif"></div>
</div>

<ul class="menu">
  <?php if ($_SESSION["admin"] == 0) 
      {
      }
      else
      {  ?>
  <li><a href="administrace.php">
  <strong>administrace</strong><br>
  <span id="condensed">administration</span></a></li>
  <?php } ?>
  
  <li><a href="registrace.php">
  <strong>registrace</strong><br>
  <span id="condensed">registration</span></a></li>

  <li><a href="login.php">
  <strong>přihlášení</strong><br>
  <span id="condensed">login</span></a></li>
  
  <?php if(!$_SESSION["jmeno"] || $_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne") 
      {
      }
      else
      {  ?>
  <li><a href="vkladani.php">
  <strong>vkládání článků</strong><br>
  <span id="condensed">insertion of articles</span></a></li>
     <?php } ?>
  
  <li><a href="index.php">
  <strong>o časopisu</strong><br>
  <span id="condensed">about the journal</span></a></li>
  
  <li><a href="redakcija.php">
  <strong>redakcija</strong><br>
  <span id="condensed">editors</span></a></li>
  
  <li><a href="pregledanje-clankov.php">
  <strong>prěgledanje člankov</strong><br>
  <span id="condensed">review process</span></a></li>
  
  <li><a href="poucenje-avtoram.php" style="background-color: #02447E; color: white;">
  <strong>poučenje avtoram</strong><br>
  <span id="condensed">instruction for authors</span></a></li>
  
  <li><a href="poucenje-citateljam.php">
  <strong>poučenje čitateljam</strong><br>
  <span id="condensed">instruction for readers</span></a></li>
  
  <li><a href="archiv.php">
  <strong>archiv</strong><br>
  <span id="condensed">archive</span></a></li>
  
</ul>

<br />
<?php
if($_SESSION["jmeno"]) {
?>
    Welcome, you are login as <strong><?php echo $_SESSION["jmeno"]; ?>.</strong> Click here to <a href="odhlaseni.php"><button type="button">Logout</button></a>.
<?php
}else{}
?>

<br />
<br />
<?php
if($_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne")  {
?>
    <strong>Vaše registrace je vedená jako dočasně odebraná nebo neschválená. Vyčkejte, až ji admin schválí. Z tohoto důvodu nemůžete zatím vkládat články.</strong>
<?php
}else{}
?>

<h1>Poučenje avtoram - instruction for authors</h1>

<p id="slavic">
<strong>Ljubezno prosimo avtory držeti šablon i pravila opublikovanja.</strong>
Članky trěba pisati v prědpisanom formatu največe 6 stranic, ako ne jest s redakcijeju inače dogovoreno.
Časopis <strong>SLOVJANI.info</strong> publikuje originalne teksty pisane <a href="index.php#interslavic">medžuslovjansky</a> ili vsimi slovjanskymi jezykami, Esperantom, anglijskym, němečskym, hišpanskym, francuzskym, ili italijanskym jezykami v formatu DOCX i našem šablonu poslě jihnoj anonymnoj recenzije neodvisnymi ekspertami.
Vsekaky tekst trěbuje iměti nazvanje, abstrakt, i spisok ključnyh slov v <a href="index.php#interslavic">medžuslovjanskom</a> i anglijskom jezykah. 
Prosimo, posylajte teksty člankov do adresy <a href="mailto:redakcija@slovjani.info">redakcija@slovjani.info</a>.  
</p> 

<p id="english">
<strong>We kindly ask authors to respect the template and the rules.</strong> 
Articles must be written in the prescribed format with a maximum of 6 pages, unless otherwise agreed with the editorial board. 
The <strong>SLOVJANI.info</strong> journal publishes original texts written in <a href="index.php#interslavic">Interslavic</a> or all Slavic languages, Esperanto, English, German, Spanish, French, or Italian in the DOCX format and our template after an anonymous review by independent experts. 
Each article must have its title, abstract, and list of keywords in <a href="index.php#interslavic">Interslavic</a> and English. 
Please send the article texts to the address <a href="mailto:redakcija@slovjani.info">redakcija@slovjani.info</a>. 
</p>

<!-- ######################### -->
<p id="space"></p>

<p id="slavic">
Časopis <strong>SLOVJANI.info</strong> publikuje originaljne teksty ne toliko od profesionalov ale takože od PhD studentov i samostojnyh raziskavateljev ili drugyh ljudij interesujučih se do slovjanskyh pytanj. 
Časopis ne prijmaje kopije tekstov uže opublikovanyh v drugyh časopisah, knigah, ili sbornikah. 
Časopis <strong>SLOVJANI.info</strong> dozvoluje avtoram držeti jihne avtorske prava bez obmedženja, 
i avtoram držeti jihne prava na slědujuče opublikovanje bez obmedženja.
</p>

<p id="english">
<strong>SLOVJANI.info</strong> would like to publish original contributions not only from professionals but also from PhD students and independent researchers or other people interested in Slavic issues. 
Copies of already published texts in other journals, books or proceedings are not accepted. 
The journal <strong>SLOVJANI.info</strong> allows the authors to hold the copyright without restrictions and retain publishing rights without restrictions. 
</p>

<h2>šablon - template</h2>

<p style="text-align:center;">
<strong>Format PDF</strong> <a href="documents/poucenje-avtoram.pdf">http://slovjani.info/documents/poucenje-avtoram.pdf</a>
<br>
<strong>Format DOCX</strong> <a href="documents/poucenje-avtoram.docx">http://slovjani.info/documents/poucenje-avtoram.docx</a>
</p>


<p style="text-align:center;">
<img class="img-docum" src="documents/poucenje-avtoram1.jpg">&nbsp;
<img class="img-docum" src="documents/poucenje-avtoram2.jpg">&nbsp;
</p>

<br />
<?php include("footer.html"); ?> 

</body>
</html>