<?php session_start()?>
<html>
<head>
<title>SLOVJANI.info - medžuslovjansky časopis - interslavic journal</title>
<meta name="description" content="medžuslovjansky časopis - interslavic journal">
<meta name="keywords" content="medžuslovjansky časopis - interslavic journal">
<meta name="author" content="INTERSLAVIC LANGUAGE GROUP">
<meta name="owner" content="INTERSLAVIC LANGUAGE GROUP">
<meta content="text/html; charset=utf-8" http-equiv="content-type">
<link rel="stylesheet" type="text/css" href="styly.css">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-136415904-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-136415904-1');
</script>

</head>

<body>
<div id="logo-container">
       <div id="logo-right"><img src="images/logo-right.gif"></div>
       <div id="logo-left"><img src="images/logo-left.gif"></div>
</div>

<ul class="menu">
  <?php if ($_SESSION["admin"] == 0) 
      {
      }
      else
      {  ?>
  <li><a href="administrace.php">
  <strong>administrace</strong><br>
  <span id="condensed">administration</span></a></li>
  <?php } ?>
  
  <li><a href="registrace.php">
  <strong>registrace</strong><br>
  <span id="condensed">registration</span></a></li>

  <li><a href="login.php">
  <strong>přihlášení</strong><br>
  <span id="condensed">login</span></a></li>
  
  <?php if(!$_SESSION["jmeno"] || $_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne") 
      {
      }
      else
      {  ?>
  <li><a href="vkladani.php">
  <strong>vkládání článků</strong><br>
  <span id="condensed">insertion of articles</span></a></li>
     <?php } ?>
  
  <li><a href="index.php">
  <strong>o časopisu</strong><br>
  <span id="condensed">about the journal</span></a></li>
  
  <li><a href="redakcija.php">
  <strong>redakcija</strong><br>
  <span id="condensed">editors</span></a></li>
  
  <li><a href="pregledanje-clankov.php" style="background-color: #02447E; color: white;">
  <strong>prěgledanje člankov</strong><br>
  <span id="condensed">review process</span></a></li>
  
  <li><a href="poucenje-avtoram.php">
  <strong>poučenje avtoram</strong><br>
  <span id="condensed">instruction for authors</span></a></li>
  
  <li><a href="poucenje-citateljam.php">
  <strong>poučenje čitateljam</strong><br>
  <span id="condensed">instruction for readers</span></a></li>
  
  <li><a href="archiv.php">
  <strong>archiv</strong><br>
  <span id="condensed">archive</span></a></li>

</ul>

<br />
<?php
if($_SESSION["jmeno"]) {
?>
    Welcome, you are login as <strong><?php echo $_SESSION["jmeno"]; ?>.</strong> Click here to <a href="odhlaseni.php"><button type="button">Logout</button></a>.
<?php
}else{}
?>

<br />
<br />    
<?php
if($_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne")  {
?>
    <strong>Vaše registrace je vedená jako dočasně odebraná nebo neschválená. Vyčkejte, až ji admin schválí. Z tohoto důvodu nemůžete zatím vkládat články.</strong>
<?php
}else{}
?>

<h1>Prěgledanje člankov - review process</h1>

<p id="slavic">
<strong>Slovjani.info</strong> je časopis imajuči neodvisny proces prěgedanja - dvojno slěpo prěgledanje (double-blind review). Časopis opublikuje toliko teksty, ktore držet trěbovanja ustavjene od redakcije. 
Recenzenti sut različni eksperti najmě iz oblasti humanitnyh nauk, sociologije, archeologije, lingvistiky, ili kultury i umětnosti, ale takože iz oblasti prirodnyh i techničskyh nauk. 
Vsekaky tekst jest prěgledany od dvoh neodvisnyh recenzentov iz sověta redakcije, ktori ne sut iz města raboty avtora ili v sporu s tekstom. 
Ako mněnja dvoh recenzentov sut različne, potom redakcija pytaje tretjego recenzenta, aby razrěšil rezultat prěgledanja. 
Avtori sut informovani o rezultatu od redakcije, ktory može byti jedin iz slědujučih: 
</p> 

<ol id="slavic">
<li>Tekst bude opublikovany bez potrěby měnjanja.</li>
<li>Tekst bude opublikovany poslě dopisanja pytanj i sovětov od recenzentov.</li>
<li>Tekst ne bude opublikovany. Taky tekst može byti prislany do novogo prěgledanja jedino poslě osnovnogo prěpisanja. 
Nova verzija teksta trěbuje držeti teže pravila kako prva verzija: 
Držeti naznačeny šablon, kolikost stranic, bibliografične standardy, itd.</li>
</ol>

<br />

<p id="english">
<strong>Slovjani.info</strong> is a journal with an independent review process - the double-blind peer review. The journal publishes only such texts that meet both content and formal requirements set by the editorial board. Reviewers are various international experts especially in humanities, social sciences, archaeology, linguistics, or culture and art. 
Each text is reviewed by two independent reviewers from the editorial board who are not from the author's workplace or in conflict with the text. 
If opinions of two reviewers are different, the editorial board asks the third reviewer to conclude the review result. 
Editorial informs authors about the conclusion, which respects one of the following: </p>

<ol id="english">
<li>The text will be published without the need for modification.</li> 
<li>The text will be published after accomplishing the reviewer's questions and recommendations.</li>
<li>The text will not be published. The text can be a subject to a new review process only after fundamental redesign. 
New version of text must meet the same rules as the first version: 
It must adhere to the specified template and page range, bibliographic standards, etc.</li>
</ol>


<p id="space"></p>

<p id="slavic">
Kulturne, naučne, i učebne aktivnosti, ktore sut cělj tutogo časopisa, ne imajut rovno formalny i strogo logičny verifikačny mechanizm, ktory znajemo iz prirodnyh ili techničskyh nauk.
Měra porazuměnja našej aktivnosti jest socijalny proces, ktory jest vezany do specifično kulturnyh, socialnyh, i ekonomičnyh stanov.
Tuto znanje je zavisno na uslovjah svojego iztočnika, i jest vezano do cěnnostnogo ramka, iz ktorogo se počinaje, i po tutoj pričině imaje relativistično-konstruktivističny charakter. 
Zato jest časopisu trěba držeti kriterij a praviljnosti i razumnosti vsih tvrdženj: 
Vez na ulěpšenje kakosti života ljudij i drženje principa ravnosti narodov, religij, i pola, i takože siljno odmetenje ksenofobnyh učenj.
Moderno slovjansko dviženje ne jest konfrontacija medžu slovjanami i drugymi ljudjami.
Ne jest nikaka vyšnost něktoryh slovjanskyh narodov, kultur, i jezykov nad drugymi narodami, kulturami, i jezykami.
Naš strategičny cělj jest upotrěbjenje naših slovjanskyh, evropskyh i christijanskyh prědnostij 
do tvorjenja novyh udobnomožnostij za podkrěpjenje pokojnoj soraboty cělogo modernogo světa.
</p> 

<p id="english"> 
The cultural, scientific, and educational activity that is the goal of this journal does not have the same formal and strictly logical verification mechanism that we see in natural and technical sciences. 
The degree of understanding of our activity is a social process that is bound to specific cultural, social, and economic conditions. 
This knowledge is dependent on the conditions of its origin and is related to the value framework from which it originates and therefore has a relativistic-constructivist character. 
That is why the journal has to respect the criterion of the correctness and rationality of all statements: 
The relationship to the improvement of the quality of life of people and keep the principle of equality of nationality, religion and gender, as well as the high rejection of xenophobic teachings. 
The modern international Slavic movement is not a confrontation between the Slavs and other peoples. 
There is no superiority of some Slavic nations, cultures, and languages over other nations, cultures, and languages. 
Our strategic goal is to use our Slavic, European and Christian strengths to create new opportunities to strengthen peace cooperation around the modern world. 
</p>

<br />
<?php include("footer.html"); ?> 

</body>
</html>