<?php
require_once('db.php');

if(isset($_POST['insert']))
    {
	$message = array();
	
	$_hlavni_autor = trim(htmlspecialchars($_POST['hlavni_autor']));
	$_dalsi_autori = trim(htmlspecialchars($_POST['dalsi_autori']));
	$_titulek_cz = trim(htmlspecialchars($_POST['titulek_cz']));
        $_titulek_eng = trim(htmlspecialchars($_POST['titulek_eng']));
        $_klicova_cz = trim(htmlspecialchars($_POST['klicova_cz']));
        $_klicova_eng = trim(htmlspecialchars($_POST['klicova_eng']));
        $_abstrakt_cz = trim(htmlspecialchars($_POST['abstrakt_cz']));
        $_abstrakt_eng = trim(htmlspecialchars($_POST['abstrakt_eng']));
        $_URL = trim(htmlspecialchars($_POST['URL']));
	
	if(empty($_hlavni_autor))
            {
		$message[] = 'Pole hlavní autor je prázdné.';
	    }
	
	if(empty($_dalsi_autori))
            {
		$message[] = 'Pole další autoři je prázdné.';
	    }
	
	if(empty($_titulek_cz))
            {
		$message[] = 'Pole titulek česky je prázdné.';
	    }
        
        if(empty($_titulek_eng))
            {
		$message[] = 'Pole titulek anglicky je prázdné.';
	    }
            
        if(empty($_klicova_cz))
            {
		$message[] = 'Pole klíčová slova česky je prázdné.';
	    }
            
        if(empty($_klicova_eng))
            {
		$message[] = 'Pole klíčová slova anglicky je prázdné.';
	    }
            
        if(empty($_abstrakt_cz))
            {
		$message[] = 'Pole abstrakt česky je prázdné.';
	    }
            
        if(empty($_abstrakt_eng))
            {
		$message[] = 'Pole abstrakt anglicky je prázdné.';
	    }
            
        if(empty($_URL))
            {
		$message[] = 'Pole URL odkaz na celý článek je prázdné.';
	    } 
  
	if(empty($message))
            {
		$_hlavni_autor = mysql_real_escape_string($_hlavni_autor);
		$_dalsi_autori = mysql_real_escape_string($_dalsi_autori);
		$_titulek_cz = mysql_real_escape_string($_titulek_cz);
                $_titulek_eng = mysql_real_escape_string($_titulek_eng);
                $_klicova_cz = mysql_real_escape_string($_klicova_cz);
                $_klicova_eng = mysql_real_escape_string($_klicova_eng);
                $_abstrakt_cz = mysql_real_escape_string($_abstrakt_cz);
                $_abstrakt_eng = mysql_real_escape_string($_abstrakt_eng);
                $_URL = mysql_real_escape_string($_URL);
		
		mysql_query("INSERT INTO `clanky` VALUES('','{$_hlavni_autor}','{$_dalsi_autori}','{$_titulek_cz}','{$_titulek_eng}','{$_klicova_cz}','{$_klicova_eng}','{$_abstrakt_cz}','{$_abstrakt_eng}','{$_URL}')");
		header('Location: ./vkladani.php?ok=1');
	    }
    }

?>
<html>
<head>
<title>SLOVJANI.info - medžuslovjansky časopis - interslavic journal</title>
<meta name="description" content="medžuslovjansky časopis - interslavic journal">
<meta name="keywords" content="medžuslovjansky časopis - interslavic journal">
<meta name="author" content="INTERSLAVIC LANGUAGE GROUP">
<meta name="owner" content="INTERSLAVIC LANGUAGE GROUP">
<meta content="text/html; charset=utf-8" http-equiv="content-type">
<link rel="stylesheet" type="text/css" href="styly.css">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-136415904-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-136415904-1');
</script>

<style>
.grid-container {
  display: grid;
  grid-template-columns: auto auto;
  background-color: #FFFFFF;
  padding: 10px;
}

.grid-item {
  background-color: rgba(255, 255, 255, 0.8);
  border: 1px solid rgba(0, 0, 0, 0.8);
  padding: 20px;
  font-size: 30px;
  text-align: left;
}
</style>

</head>

<body>
<div id="logo-container">
       <div id="logo-right"><img src="images/logo-right.gif"></div>
       <div id="logo-left"><img src="images/logo-left.gif"></div>
</div>

<ul class="menu">
  <?php if ($_SESSION["admin"] == 0) 
      {
      }
      else
      {  ?>
  <li><a href="administrace.php">
  <strong>administrace</strong><br>
  <span id="condensed">administration</span></a></li>
  <?php } ?>
  
  <li><a href="registrace.php">
  <strong>registrace</strong><br>
  <span id="condensed">registration</span></a></li>

  <li><a href="login.php">
  <strong>přihlášení</strong><br>
  <span id="condensed">login</span></a></li>
  
  <?php if(!$_SESSION["jmeno"] || $_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne") 
      {
      }
      else
      {  ?>
  <li><a href="vkladani.php" style="background-color: #02447E; color: white;">
  <strong>vkládání článků</strong><br>
  <span id="condensed">insertion of articles</span></a></li>
     <?php } ?>
  
  <li><a href="index.php">
  <strong>o časopisu</strong><br>
  <span id="condensed">about the journal</span></a></li>
  
  <li><a href="redakcija.php">
  <strong>redakcija</strong><br>
  <span id="condensed">editors</span></a></li>
  
  <li><a href="pregledanje-clankov.php">
  <strong>prěgledanje člankov</strong><br>
  <span id="condensed">review process</span></a></li>
  
  <li><a href="poucenje-avtoram.php">
  <strong>poučenje avtoram</strong><br>
  <span id="condensed">instruction for authors</span></a></li>
  
  <li><a href="poucenje-citateljam.php">
  <strong>poučenje čitateljam</strong><br>
  <span id="condensed">instruction for readers</span></a></li>
  
  <li><a href="archiv.php">
  <strong>archiv</strong><br>
  <span id="condensed">archive</span></a></li>
  
</ul>

<br />
<?php
if($_SESSION["jmeno"]) 
    {
?>
    Welcome, you are login as <strong><?php echo $_SESSION["jmeno"]; ?>.</strong> Click here to <a href="odhlaseni.php"><button type="button">Logout</button></a>.
<?php
    }else {}
?>

<h1>Vkládání návrhů článků</h1>
<?php if(!empty($message)){?>
	<ul style="color:red;">
		<?php foreach((array)$message as $item){?>
		<li><?php echo $item;?></li>
		<?php }?>
	</ul>
<?php }?>

<?php if(isset($_GET['ok'])){ ?>
	<h2>Vložení článku proběhlo úspěšně</h2>
<?php }else{ ?>
        
    <form action="<?php echo $_SERVER['PHP_SELF']?>" method="post">
<div class="grid-container" style="">
  <div class="grid-item"><p><label>Hlavní autor:</label><br /><input name="hlavni_autor" tabindex="1" type="text" value="<?php echo (!empty($_POST['hlavni_autor']) ? htmlspecialchars($_POST['hlavni_autor']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>Další autoři:</label><br /><input name="dalsi_autori" tabindex="2" type="text" value="<?php echo (!empty($_POST['dalsi_autori']) ? htmlspecialchars($_POST['dalsi_autori']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>Titulek česky:</label><br /><input name="titulek_cz" tabindex="3" type="text" value="<?php echo (!empty($_POST['titulek_cz']) ? htmlspecialchars($_POST['titulek_cz']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>Titulek anglicky:</label><br /><input name="titulek_eng" tabindex="4" type="text" value="<?php echo (!empty($_POST['titulek_eng']) ? htmlspecialchars($_POST['titulek_eng']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>Klíčová slova česky:</label><br /><input name="klicova_cz" tabindex="5" type="text" value="<?php echo (!empty($_POST['klicova_cz']) ? htmlspecialchars($_POST['klicova_cz']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>Klíčová slova anglicky:</label><br /><input name="klicova_eng" tabindex="6" type="text" value="<?php echo (!empty($_POST['klicova_eng']) ? htmlspecialchars($_POST['klicova_eng']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>Abstrakt česky:</label><br /><input name="abstrakt_cz" tabindex="7" type="text" value="<?php echo (!empty($_POST['abstrakt_cz']) ? htmlspecialchars($_POST['abstrakt_cz']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>Abstrakt anglicky:</label><br /><input name="abstrakt_eng" tabindex="8" type="text" value="<?php echo (!empty($_POST['abstrakt_eng']) ? htmlspecialchars($_POST['abstrakt_eng']) : ''); ?>" /> </p></div>
  <div class="grid-item"><p><label>URL odkaz na celý článek:</label><br /><input name="URL" tabindex="9" type="url" size="29" value="<?php echo (!empty($_POST['URL']) ? htmlspecialchars($_POST['URL']) : ''); ?>" /> </p></div>
  <div class="grid-item"><input name="insert" type="submit" tabindex="10" value=" Vložit článek " /><br /></div>
</div>
    </form>
        
<?php }?>

<br />
<?php include("footer.html"); ?> 

</body>
</html>