<?php session_start()?>
<?php
require_once('db.php');

if(isset($_POST['edit']))
{
	$message = array();
	
        $_id = trim(htmlspecialchars($_POST['id']));
        $_stahovani = trim(htmlspecialchars($_POST['stahovani']));
        $_schvaleni_registrace = trim(htmlspecialchars($_POST['schvaleni_registrace']));
	
	if(empty($_id))
            {
		$message[] = 'Vyplňte pole ID uživatele, u kterého mají být provedeny změny.';
	    }
	
        if(empty($_stahovani))
            {
		$message[] = 'Vyplňte pole stahování časopisu.';
	    }
            
        if(empty($_schvaleni_registrace))
            {
		$message[] = 'Vyplňte pole schválení registrace.';
	    }  
            
	if(empty($message))
            {
		$_id = mysql_real_escape_string($_id);
                $_stahovani = mysql_real_escape_string($_stahovani);
                $_schvaleni_registrace = mysql_real_escape_string($_schvaleni_registrace);
                mysql_query("UPDATE uzivatele SET stahovani = '{$_stahovani}', schvaleni_registrace = '{$_schvaleni_registrace}'  WHERE id = '{$_id}'") or die("Nelze upravit údaje v databázi: " . mysql_error());
		header('Location: ./administrace.php?ok=1');
	    }        
}

if(isset($_POST['delete']))
{
	$message = array();
        $_id = trim(htmlspecialchars($_POST['id']));
	
	if(empty($_id))
            {
		$message[] = 'Vyplňte pole ID uživatele, u kterého mají být provedeny změny.';
	    } 
            
	if(empty($message))
            {
		$_id = mysql_real_escape_string($_id);
                mysql_query("DELETE FROM uzivatele WHERE id = '{$_id}'") or die("Nelze upravit údaje v databázi: " . mysql_error());
		header('Location: ./administrace.php?ok=1');
	    }        
}
?>

<html>
<head>
<title>SLOVJANI.info - medžuslovjansky časopis - interslavic journal</title>
<meta name="description" content="medžuslovjansky časopis - interslavic journal">
<meta name="keywords" content="medžuslovjansky časopis - interslavic journal">
<meta name="author" content="INTERSLAVIC LANGUAGE GROUP">
<meta name="owner" content="INTERSLAVIC LANGUAGE GROUP">
<meta content="text/html; charset=utf-8" http-equiv="content-type">
<link rel="stylesheet" type="text/css" href="styly.css">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-136415904-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-136415904-1');
</script>
</head>

<body>
<div id="logo-container">
       <div id="logo-right"><img src="images/logo-right.gif"></div>
       <div id="logo-left"><img src="images/logo-left.gif"></div>
</div>

<ul class="menu">
  <?php if ($_SESSION["admin"] == 0)
      {
      }
      else
      {  ?>
  <li><a href="administrace.php" style="background-color: #02447E; color: white;">
  <strong>administrace</strong><br>
  <span id="condensed">administration</span></a></li>
  <?php } ?>
  
  <li><a href="registrace.php">
  <strong>registrace</strong><br>
  <span id="condensed">registration</span></a></li>

  <li><a href="prihlaseni.php">
  <strong>přihlášení</strong><br>
  <span id="condensed">login</span></a></li>
  
  <?php if(!$_SESSION["jmeno"] || $_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne") 
      {
      }
      else
      {  ?>
  <li><a href="vkladani.php">
  <strong>vkládání článků</strong><br>
  <span id="condensed">insertion of articles</span></a></li>
     <?php } ?>
  
  <li><a href="index.php">
  <strong>o časopisu</strong><br>
  <span id="condensed">about the journal</span></a></li>
  
  <li><a href="redakcija.php">
  <strong>redakcija</strong><br>
  <span id="condensed">editors</span></a></li>
  
  <li><a href="pregledanje-clankov.php">
  <strong>prěgledanje člankov</strong><br>
  <span id="condensed">review process</span></a></li>
  
  <li><a href="poucenje-avtoram.php">
  <strong>poučenje avtoram</strong><br>
  <span id="condensed">instruction for authors</span></a></li>
  
  <li><a href="poucenje-citateljam.php">
  <strong>poučenje čitateljam</strong><br>
  <span id="condensed">instruction for readers</span></a></li>
  
  <li><a href="archiv.php">
  <strong>archiv</strong><br>
  <span id="condensed">archive</span></a></li>
  

</ul>

<br />
<?php
if($_SESSION["jmeno"]) {
?>
    Welcome, you are login as <strong><?php echo $_SESSION["jmeno"]; ?>.</strong> Click here to <a href="odhlaseni.php"><button type="button">Logout</button></a>.
<?php
}else{}
?>
   
<h1>Seznam uživatelských registrací</h1>
<?php if(!empty($message)){?>
	<ul style="color:red;">
		<?php foreach((array)$message as $item){?>
		<li><?php echo $item;?></li>
		<?php }?>
	</ul>
<?php }?>

<?php
require_once('db.php');
$result=mysql_query('SELECT id,jmeno,email,admin,stahovani,schvaleni_registrace FROM uzivatele ORDER BY id;');

echo "<table border=1>";
if ($row == (mysql_fetch_assoc($result)))
{
echo "<tr>";
foreach($row as $key => $value) {echo "<th>".$key; };
echo "<tr>";
foreach($row as $key => $value) {echo "<td>".$value; };
}

while ($row=mysql_fetch_assoc($result)) 
{
echo "<tr>";
foreach($row as $key => $value) {echo "<td>".$value; };
}
echo "</table>";
echo "<br />"
?>

<?php if(isset($_GET['ok'])){ ?>
	<h2>Změny v databázy byly provedeny úspěšně.</h2>
<?php } else { ?>
<form action="<?php echo $_SERVER['PHP_SELF']?>" method="post">
		<fieldset>
			<legend>Změna dat v databázi</legend>
                        <p><input name="id" tabindex="1" type="text" value="<?php echo (!empty($_POST['id']) ? htmlspecialchars($_POST['id']) : ''); ?>" /> <label>ID uživatele pro provedení změn</label></p>
                        <p><input name="stahovani" tabindex="2" type="text" value="<?php echo (!empty($_POST['stahovani']) ? htmlspecialchars($_POST['stahovani']) : ''); ?>" /> <label>Stahování časopisu</label></p>
                        <p><input name="schvaleni_registrace" tabindex="3" type="text" value="<?php echo (!empty($_POST['schvaleni_registrace']) ? htmlspecialchars($_POST['schvaleni_registrace']) : ''); ?>" /> <label>Schválení registrace uživatele</label></p>
			<input name="edit" type="submit" style="margin-left:auto;" tabindex="4" value=" Uložit změny " />
                        <input name="delete" type="submit" style="margin-left:auto;" tabindex="5" value=" Smaž řádek " />
		</fieldset>
</form>
<?php }?>

<br />
<?php include("footer.html"); ?> 

</body>
</html>