<?php

// functions

function citacno_ime($str)
  {
   if (strpos($str, ' ') !== false)
       {
        $pos = strrpos($str , " ");
        return substr($str , $pos + 1) . ", " . substr($str , 0 , $pos);
       }
       else
       {
        return $str;
       }
  }
  
// main program  

$ifile = fopen("index.html", "w");

fwrite($ifile , "<html>" . PHP_EOL);
fwrite($ifile , "<head>" . PHP_EOL);
fwrite($ifile , '<meta content="text/html; charset=utf-8" http-equiv="content-type">' . PHP_EOL);
fwrite($ifile , '<meta name="citation_journal_title"  content="Slovjani.info">' . PHP_EOL);
fwrite($ifile , '<meta name="citation_journal_issn"  content="ISSN 2570-7108 (print), ISSN 2570-7116 (on-line)">' . PHP_EOL);
fwrite($ifile , "</head>" . PHP_EOL);
fwrite($ifile , "<body>"  . PHP_EOL);

$db = mysqli_connect('localhost','admindbslovjani','V82HpHEA','dbslovjaniinfo')
 or die('<p>Error connecting to MySQL server.<p></body></html>');

$query = "SELECT * FROM avt_cla , avtor , clanok WHERE avt_cla.avtor = avtor.id AND avt_cla.clanok = clanok.id ORDER BY clanok.leto DESC , clanok.izdanje DESC , clanok.id ASC , avt_cla.red_avtora ASC";

mysqli_query($db, $query) or die('<p>Error querying database.<p></body></html>');
$result = mysqli_query($db, $query);

$filename = "";
$xnazvanje = "";
$telo = "";

while ($row = mysqli_fetch_array($result)) 
  {
   $newfilename = "indexes/" . $row["clanok"] . ".html";
   
   if ($newfilename <> $filename)
      {
       //new file
       if ($filename <> "") 
             {
              fwrite($file , "</head>" . PHP_EOL);
              fwrite($file , "<body>"  . PHP_EOL);
              fwrite($file , $telo);
              fwrite($file , "</body>" . PHP_EOL);
              fwrite($file , "</html>" . PHP_EOL);
              fclose($file);
              $telo = "";
             }
             
       $filename = $newfilename;
       $file = fopen($filename, "w");
       
       $xnazvanje = str_replace('"', " ", $row["nazvanje"]);
       $xtitle = str_replace('"', " ", $row["title"]);
       
       fwrite($file , "<html>" . PHP_EOL);
       fwrite($file , "<head>" . PHP_EOL);
       fwrite($file , '<meta content="text/html; charset=utf-8" http-equiv="content-type">' . PHP_EOL);
       fwrite($file , '<meta name="citation_title"  content="' . $xtitle . ' (Interslavic: ' . $xnazvanje . ')">' . PHP_EOL);
       fwrite($file , '<meta name="citation_journal_title"  content="Slovjani.info">' . PHP_EOL);
       fwrite($file , '<meta name="citation_journal_issn"  content="ISSN 2570-7108 (print), ISSN 2570-7116 (on-line)">' . PHP_EOL);
       
       fwrite($file , '<meta name="citation_publication_date"  content="' . $row["leto"] . '">' . PHP_EOL);
       fwrite($file , '<meta name="citation_volume"  content="' . ($row["leto"] - 2015) . '">' . PHP_EOL);
       fwrite($file , '<meta name="issue"  content="' . $row["izdanje"] . '">' . PHP_EOL);
       
       fwrite($file , '<meta name="citation_firstpage" content="' . $row["stranica_od"] . '">' . PHP_EOL);
       fwrite($file , '<meta name="citation_lastpage"  content="' . $row["stranica_do"] . '">' . PHP_EOL);
       
       fwrite($file , '<meta name="citation_pdf_url"  content="http://slovjani.info/archive/' . $row["leto"] . "-" . $row["izdanje"] .'.pdf">' . PHP_EOL);
       
       fwrite($file , '<meta name="citation_author" content="' . citacno_ime($row["polno_ime"]) . '">' . PHP_EOL);

       // -----------------------------------------------------------
       
       $telo = $telo . '<h1 class="citation_title">' . $xtitle . '</h1>'  . PHP_EOL; 
       $telo = $telo . '<h2>' . $xnazvanje . '</h1>'  . PHP_EOL;       
       $telo = $telo . '<h2 class="citation_publication_date">' . $row["leto"] . ' (' . $row["izdanje"] . ')</h2>'  . PHP_EOL;    
       $telo = $telo . '<p><strong>English abstract</p></strong><p class="abstract">' . $row["summary"] . '</p><p><strong>Interslavic abstract</strong></p><p>' . $row["abstrakt"] . '</p>' . PHP_EOL;
       $telo = $telo . '<p><strong>English keywords</strong></p><p class="citation_keywords">' . $row["keywords"] . '</p><p><strong>Interslavic keywords</strong></p><p>' . $row["kljucna"]  . '</p>' . PHP_EOL;
       $telo = $telo . '<p><strong>firstpage</strong></p><p class="citation_firstpage">' . $row["stranica_od"]  . '</p>' . PHP_EOL;
       $telo = $telo . '<p><strong>lastpage</strong><p><p class="citation_lastpage">' . $row["stranica_do"]  . '</p>' . PHP_EOL;
       
       $telo = $telo . '<p>Slovjani.info, ISSN 2570-7108 (print), ISSN 2570-7116 (on-line)</p>' . PHP_EOL;
       
       $telo = $telo . '<p>PDF file: <a href="http://slovjani.info/archive/' . $row["leto"] . "-" . $row["izdanje"] .'.pdf">' . $row["leto"] . "-" . $row["izdanje"] . '.pdf</a></p>' . PHP_EOL;
       
       $telo = $telo . '<h3 class="citation_author">' . citacno_ime($row["polno_ime"]) . '</h3>'  . PHP_EOL;
       
       // ------------------------------------------------------------
       
       // one line into ifile
       
       fwrite($ifile , '<p class="citation_title"><a href="indexes/' . $row["clanok"] . '.html">' . $xnazvanje . '</a></p>' . PHP_EOL);
       
      }
      else
      {
       //next author of the same article
       fwrite($file , '<meta name="citation_author" content="' . citacno_ime($row["polno_ime"]) . '">' . PHP_EOL);
       $telo = $telo . '<h3 class="citation_author">' . citacno_ime($row["polno_ime"]) . '</h3>' . PHP_EOL;
      }
   
  }
  
fwrite($file , "</head>" . PHP_EOL);
fwrite($file , "<body>"  . PHP_EOL);
fwrite($file , $telo);
fwrite($file , "</body>" . PHP_EOL);
fwrite($file , "</html>" . PHP_EOL);
fclose($file);

// hlavní ifile
fwrite($ifile , "</body>" . PHP_EOL);
fwrite($ifile , "</html>" . PHP_EOL);
fclose($ifile);
  
mysqli_close($db);

?>
