<?php session_start() ?>
<html>
<head>
<title>SLOVJANI.info - medžuslovjansky časopis - interslavic journal</title>
<meta name="description" content="medžuslovjansky časopis - interslavic journal">
<meta name="keywords" content="medžuslovjansky časopis - interslavic journal">
<meta name="author" content="INTERSLAVIC LANGUAGE GROUP">
<meta name="owner" content="INTERSLAVIC LANGUAGE GROUP">
<meta content="text/html; charset=utf-8" http-equiv="content-type">
<link rel="stylesheet" type="text/css" href="styly.css">

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-136415904-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-136415904-1');
</script>

</head>

<body>
<div id="logo-container">
       <div id="logo-right"><img src="images/logo-right.gif"></div>
       <div id="logo-left"><img src="images/logo-left.gif"></div>
</div>

<ul class="menu">
  <?php if ($_SESSION["admin"] == 0) 
      {
      }
      else
      {  ?>
  <li><a href="administrace.php">
  <strong>administrace</strong><br>
  <span id="condensed">administration</span></a></li>
  <?php } ?>
  
  <li><a href="registrace.php">
  <strong>registrace</strong><br>
  <span id="condensed">registration</span></a></li>

  <li><a href="login.php">
  <strong>přihlášení</strong><br>
  <span id="condensed">login</span></a></li>

  <?php if(!$_SESSION["jmeno"] || $_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne") 
      {
      }
      else
      {  ?>
  <li><a href="vkladani.php">
  <strong>vkládání článků</strong><br>
  <span id="condensed">insertion of articles</span></a></li>
     <?php } ?>
  
  <li><a href="index.php" style="background-color: #02447E; color: white;">
  <strong>o časopisu</strong><br>
  <span id="condensed">about the journal</span></a></li>
  
  <li><a href="redakcija.php">
  <strong>redakcija</strong><br>
  <span id="condensed">editors</span></a></li>
  
  <li><a href="pregledanje-clankov.php">
  <strong>prěgledanje člankov</strong><br>
  <span id="condensed">review process</span></a></li>
  
  <li><a href="poucenje-avtoram.php">
  <strong>poučenje avtoram</strong><br>
  <span id="condensed">instruction for authors</span></a></li>
  
  <li><a href="poucenje-citateljam.php">
  <strong>poučenje čitateljam</strong><br>
  <span id="condensed">instruction for readers</span></a></li>
  
  <li><a href="archiv.php">
  <strong>archiv</strong><br>
  <span id="condensed">archive</span></a></li>
  
</ul>

<br />
<?php
if($_SESSION["jmeno"]) {
?>
    Welcome, you are login as <strong><?php echo $_SESSION["jmeno"]; ?>.</strong> Click here to <a href="odhlaseni.php"><button type="button">Logout</button></a>.
<?php
}else{}
?>

<br />
<br />
<?php
if($_SESSION["schvaleni_registrace"] == "odebrana" || $_SESSION["schvaleni_registrace"] == "ne")  {
?>
    <strong>Vaše registrace je vedená jako dočasně odebraná nebo neschválená. Vyčkejte, až ji admin schválí. Z tohoto důvodu nemůžete zatím vkládat články.</strong>
<?php
}else{}
?>
    
<h1>O časopisu - about the journal - pri la revuo</h1>

<p id="slavic">
<strong>SLOVJANI.info</strong> jest profesionalny časopis naměreny do pytanj slovjanskyh narodov v širšem socio-kulturnom kontekstu sejčasnogo vrěmene.  
Časopis poddrživaje prinos slovjanskoj nauky i kultury do razvitja modernoj civilizaciji. 
Časopis <strong>SLOVJANI.info</strong> jest medžunarodnym naslědnikom časopisa SLOVANSKÁ UNIE iz lět 2016-2017.
Časopis imaje silny proces prěgledanja prislanyh člankov od ekspertov iz redakcije i publikuje originalne teksty pisane <a href="#interslavic">medžuslovjansky</a> ili vsimi slovjanskymi jezykami, Esperantom, anglijskym, němečskym, hišpanskym, francuzskym, ili italijanskym jezykami, 
ale vsaky članok najmenje trěbuje iměti na svojem početku abstrakt i ključne slova v <a href="#interslavic">medžuslovjanskom</a> i anglijskom jezykah.
</p> 

<table width=100%>
<tr>
<td width=50% style="padding-right:4pt;">
<p id="english">
<strong>SLOVJANI.info</strong> (in English: the SLAVS) is an expert journal focusing on issues of Slavic peoples in the wider sociocultural context of current times. The journal supports the contribution of Slavic science and culture to the development of modern civilization. The journal <strong>SLOVJANI.info</strong> is an international successor of the journal SLOVANSKÁ UNIE from the years 2016–2017. Submitted articles for the journal are subjected to a profound review process by experts from the editorial board and must be written in <a href="#interslavic">Interslavic</a> or any other Slavic language, Esperanto, English, German, Spanish, French, or Italian, but every article must at least have an abstract and keywords in the <a href="#interslavic">Interslavic constructed language</a> and English.
</p>
</td>

<td width=50% style="padding-left:4pt;">
<p id="esperanto">
<strong>SLOVJANI.info</strong> (in Esperanto: la SLAVOJ) estas profesia revuo specialiĝinta pri aferoj de la slavaj popoloj en larĝa socio-kultura kunteksto de nuntempo.
La revuo subtenas la kontribuon de slava scienco kaj kulturo al la evoluo de moderna civilizacio. 
La revuo <strong>SLOVJANI.info</strong> estas internacia posteulo de la revuo SLOVANSKÁ UNIE el la jaroj 2016-2017. La redakciaj fakuloj de la revuo prizorgas detalan revizion de senditaj artikoloj kaj publikigas originalajn tekstojn verkitajn en <a href="#interslavic">interslava farita lingvo</a> aŭ en ĉiuj slavaj lingvoj, en Esperanto, Angla, Germana, Hispana, Franca aŭ Itala, sed ĉiu artikolo devas komence enhavi resumon kaj ŝlosilvortojn en la <a href="#interslavic">interslava farita</a> kaj angla lingvon.
</p>
</td>
</tr>
</table>

<p id="azbuka">
<strong>SLOVJANI.info</strong> јест професионалны часопис намерены до пытань словянскых народов в ширшем социо-културном контексту сејчасного времене. 
Часопис поддрживаје принос словянской наукы и културы до развитя модерной цивилизацији. 
Часопис <strong>SLOVJANI.info</strong> јест меджународным наследником часописа  SLOVANSKÁ UNIE из лет 2016-2017.
Часопис имаје силны процес прегледаня присланых чланков од експертов из редакције и публикује оригиналне тексты писане <a href="#interslavic">меджусловянскы</a> или всими словянскыми језыками, Есперантом, англијскым, немечскым, хишпанскым, французскым, или италиянскым језыками,  
але всакы чланок најменье требује имети на својем почетку абстракт и ключне слова в <a href="#interslavic">меджусловянском</a> и англијском језыках.
</p> 


<p id="space"></p>

<p id="slavic">
Časopis <strong>SLOVJANI.info</strong> izdavaje <a href="http://slovane.org/ms">Slovjanska unija v Čehiji</a> (češsky: Slovanská unie z.s.). 
Odtiskuje Tribun&nbsp;EU&nbsp;s.r.o., Cejl 892/32, Brno 602&nbsp;00. Časopis imaje dvě izdanja v godu, i jegovo izdateljstvo jest v Pragě. Distribuciju organizuje družstvo Slovjanska unija v Čehiji, <a href="http://eacea.ec.europa.eu/about-eacea_en">EACEA</a> PIC 923&nbsp;564&nbsp;549, Nr. (IČ) 481&nbsp;33&nbsp;396, <a href="http://slovane.org">http://slovane.org</a>. Kontakt na redakciju: <a href="mailto:redakcija@slovjani.info">redakcija@slovjani.info</a>. 
Registracija Ministerstva kultury Češskoj republiky jest MK&nbsp;CR&nbsp;E&nbsp;22525. ISSN 2570-7108 (print), ISSN 2570-7116 (on-line).
</p>

<table width=100%>
<tr>
<td width=50% style="padding-right:4pt;">
<p id="english">
The journal <strong>SLOVJANI.info</strong> is published by the <a href="http://slovane.org/english">Slavic Union in the Czech Republic</a> (in Czech: Slovanská unie z.s.). 
Print version is made by Tribun&nbsp;EU&nbsp;Ltd., Cejl 892/32, Brno 602&nbsp;00. The journal has two issues per year and is published in Prague. Distribution is organized by the Slavic Union, <a href="http://eacea.ec.europa.eu/about-eacea_en">EACEA</a> PIC 923&nbsp;564&nbsp;549, Czech company ID is 481&nbsp;33&nbsp;396, <a href="http://slovane.org/english">http://slovane.org</a>. 
Contact to the editorial board: <a href="mailto:redakcija@slovjani.info">redakcija@slovjani.info</a>. 
Registration code of the Czech Ministry of Culture is MK&nbsp;CR&nbsp;E&nbsp;22525. ISSN 2570-7108 (print), ISSN 2570-7116 (on-line).
</p>
</td>

<td width=50% style="padding-left:4pt;">
<p id="esperanto">
La revuon <strong>SLOVJANI.info</strong> eldonas <a href="http://slovane.org/esperanto">Slava Unio en Ĉeĥio</a> (ĉeĥe: Slovanská unie z.s.). 
Presigas Tribun&nbsp;EU&nbsp;KlR., Cejl 892/32, Brno 602&nbsp;00. La revuo havas du eldonojn jare kaj ĝia redakcio estas en Prago. La distribuon organizas Slava Unio en Ĉeĥio, <a href="http://eacea.ec.europa.eu/about-eacea_en">EACEA</a> PIC 923&nbsp;564&nbsp;549, Nr. (IČ) 481&nbsp;33&nbsp;396, <a href="http://slovane.org/esperanto">http://slovane.org</a>. Kontakto al la redakcio estas <a href="mailto:redakcija@slovjani.info">redakcija@slovjani.info</a>. 
La registra kodo de la Ĉeĥa Kulturministerio estas MK&nbsp;CR&nbsp;E&nbsp;22525. ISSN 2570-7108 (print), ISSN 2570-7116 (on-line). 
</p>
</td>
</tr>
</table>

<p id="azbuka">
Часопис <strong>SLOVJANI.info</strong> издаваје <a href="http://slovane.org/ms">Словянска уния в Чехији</a> (češsky: Slovanská unie z.s.). 
Одтискује Tribun&nbsp;EU&nbsp;s.r.o., Cejl 892/32, Brno 602&nbsp;00. Часопис имаје две изданя в году, и јегово издательство јест в Праге. Дистрибуцию организује дружство Словянска уния в Чехији,  <a href="http://eacea.ec.europa.eu/about-eacea_en">EACEA</a> PIC 923&nbsp;564&nbsp;549, Nr. (IČ) 481&nbsp;33&nbsp;396, <a href="http://slovane.org">http://slovane.org</a>. Контакт на редакцию: <a href="mailto:redakcija@slovjani.info">redakcija@slovjani.info</a>. 
Регистрация Министерства културы Чешској републикы јест MK&nbsp;CR&nbsp;E&nbsp;22525. ISSN 2570-7108 (print), ISSN 2570-7116 (on-line).
</p>

<!-- ######################### -->
<p id="space"></p>

<p id="slavic">
Časopis <strong>SLOVJANI.info</strong> jest vključen do databazy <a href="http://www.ceeol.com/">CEEOL</a>. 
Webove stranice <strong>SLOVJANI.info</strong> sut regularno archivovane v <a href="http://www.en.nkp.cz/">Narodnoj bibliotekě Češskoj republiky</a> za jihnu kulturnu, obrazovateljnu, naučnu, razslědovateljsku, i druge cennosti s cělju dokumentovati reprezentujuči vzor češskogo interneta. Stranice naleži do kolekcije češskyh sajtov archivovanyh i dostupnyh generacijam potomkov. Zapis jest priklučeny do katalogov Narodnoj biblioteky i Češskoj narodnoj bibliografije.
</p> 

<table width=100%>
<tr>
<td width=50% style="padding-right:4pt;">
<p id="english">
The journal <strong>SLOVJANI.info</strong> is included in the <a href="http://www.ceeol.com/">CEEOL</a> database. 
The website of <strong>SLOVJANI.info</strong> is regularly archived by the <a href="http://www.en.nkp.cz/">National Library of the Czech Republic</a> for its cultural, educational, scientific, research or other values with the aim of documenting an authentic sample of the Czech web. It belongs to a collection of Czech websites to be preserved by the National Library and made available for posterity. Its record is included in the Czech National Bibliography and the National Library catalogue.
</p>
</td>

<td width=50% style="padding-left:4pt;">
<p id="esperanto">
La revuo estas inkluzivita en la databazo <a href="http://www.ceeol.com/">CEEOL</a>. 
La retejo de <strong>SLOVJANI.info</strong> estas regule arkivita de la <a href="http://www.en.nkp.cz/">Nacia Biblioteko de la Ĉeĥa Respubliko</a> por ĝia kultura, eduka, scienca, esplorabila kaj alia valoroj kun la celo de dokumentado de aŭtentika specimeno de la ĉeĥaj retejoj. Ĝi apartenas al kolekto de ĉeĥaj retejoj estanta konservita de la Nacia Biblioteko kaj disponebla por posteuloj. Ĝia rekordo estas inkluzivita en la Ĉeĥa Nacia Bibliografio kaj la katalogo de la Nacia Biblioteko de la Ĉeĥa Respubliko.
</p>
</td>
</tr>
</table>

<p id="azbuka">
Часопис <strong>SLOVJANI.info</strong> јест включен до датабазы <a href="http://www.ceeol.com/">CEEOL</a>. 
Вебове странице <strong>SLOVJANI.info</strong> сут регуларно арxивоване в <a href="http://www.en.nkp.cz/">Народној библиотеке Чешској републикы</a> за јихну културну, образовательну, научну, разследовательску, и друге ценности с целю документовати репрезентуючи взор чешского интернета. Странице належи до колекције чешскых сајтов арxивованых и доступных генерациям потомков. Запис јест приклучены до каталогов Народној библиотекы и Чешској народној библиографије. 
</p> 


<h1>Poslědno izdanje - actual edition - freŝa eldono</h1>

<!-- ##############################################################-->
<!-- ##############################################################-->
<!-- ##############################################################-->

<?php

$db = mysqli_connect('localhost','dbtesar','dbtesarX1','dbtesar')
 or die('<p>Error connecting to MySQL server.<p></body></html>');

$query = "SELECT * FROM avt_cla , avtor , clanok WHERE avt_cla.avtor = avtor.id AND avt_cla.clanok = clanok.id ORDER BY clanok.leto DESC , clanok.izdanje DESC , clanok.id ASC , avt_cla.red_avtora ASC";

mysqli_query($db, $query) or die('<p>Error querying database.<p></body></html>');
$result = mysqli_query($db, $query);

//============ begin

$casopis = "";
$citacija = "";
$konecTablice = "";
$clanok = 0;

$poslednoLeto = 0;
$poslednoIzdanje = 0;

while ($row = mysqli_fetch_array($result)) 
  {
   if ($poslednoLeto == 0) $poslednoLeto = $row["leto"];
   if ($poslednoIzdanje == 0) $poslednoIzdanje = $row["izdanje"];
  
   if (($poslednoLeto == $row["leto"]) && ($poslednoIzdanje == $row["izdanje"]))
  
  {
   $casopisNew = $row["leto"] . " (" . $row["izdanje"] .")<br>";
   $clanokNew = $row["clanok"];
   
   if ($casopis <> $casopisNew) 
              {
               $casopis = $casopisNew;
               $filename = $row["leto"] . "-" . $row["izdanje"];
               if ($citacija <> "") 
                   {
                    echo $citacija;
                    $citacija = "";
                   }
               if ($konecTablice <> "") 
               {
               echo $konecTablice;
               }
               echo "<h2>" . $casopis . "</h2>\n\n";
               if ($_SESSION["stahovani"] == 'ano')
               {
               echo "<table><col><col><tr>\n";
               echo "<td class='col-issue'>";
               echo "<a href='archive/" . $filename . ".pdf'>";
               echo "<img class='img-issue' src='archive/" . $filename . ".jpg'></a><br>";
               echo "<a href='archive/" . $filename . ".pdf'>PDF format</a>";
               echo "</td>\n<td>";
               }
               else {}
               $konecTablice = "</td></tr></table>\n\n";
              }
              
   $avtor = $row["kratko_ime"];
              
   if ($clanok == $clanokNew) 
      {
        echo ", ";
        echo "<a href='poiskaj.php?avtor=" . $avtor . "'>" . $avtor . "</a>";
      }
      else
      {
        $clanok = $clanokNew;
        if ($citacija <> "") echo $citacija;
        echo "<p style='text-align:left;'>";
        echo "<a href='poiskaj.php?avtor=" . $avtor . "'>" . $avtor . "</a>";
      }
   $leto = $row["leto"];
   
//citacija begin   
   $citacija = " <strong>" . $row["nazvanje"] . "</strong>" ;
   if ($row["title"] <> "") $citacija = $citacija . " (in English: " . $row["title"] . ")";

   $citacija = $citacija . " in: <i>";
   
   if ($row["clanok"] <= 113)
          {$citacija = $citacija . "Slovanská unie";}
          else
          {$citacija = $citacija . "Slovjani.info";}
   
   $citacija = $citacija . "</i>, <a href='poiskaj.php?od=" . $leto . "&do=" . $leto . "'>" . $leto . "</a>, " . ($row["leto"] - 2015) . "(" . $row["izdanje"] . "), ";
   
   if ($row["stranica_od"] == $row["stranica_do"])
         {$citacija = $citacija . "page " . $row["stranica_od"];}
         else
         {$citacija = $citacija . "pages " . $row["stranica_od"] . "-" . $row["stranica_do"];}
         
   $citacija = $citacija . ". ";
   
   if ($row["clanok"] <= 113)
          {$citacija = $citacija . "ISSN 2464-756X (print), ISSN 2464-7578 (on-line).";}
          else
          {$citacija = $citacija . "ISSN 2570-7108 (print), ISSN 2570-7116 (on-line).";}
          
   $citacija = $citacija . " Available from: http://slovjani.info.</p>\n";
    
   if ($row["abstrakt"] <> "") $citacija = $citacija . "<p class='indented'>" . $row["abstrakt"] . "</p>\n";
   if ($row["kljucna"] <> "") $citacija = $citacija . "<p class='indented'><strong>ključne slova: </strong>" . $row["kljucna"] . "</p>\n";
   if ($row["summary"] <> "") $citacija = $citacija . "<p class='indented'>" . $row["summary"] . "</p>\n";
   if ($row["keywords"] <> "") $citacija = $citacija . "<p class='indented'><strong>keywords: </strong>" . $row["keywords"] . "</p>\n";
//citacija end   
  }
  else 
     {
      break;
     }
  }
  
if ($citacija <> "") echo $citacija;
if ($konecTablice <> "") echo $konecTablice;  

//========== end

mysqli_close($db);

?>

<h1 id="interslavic">Medžuslovjansky zonalny skonstruovany jezyk - interslavic zonal constructed language</h1>

<p id="slavic">
Zonalne konstruovane jezyky sut jezyky dělane do umožnjenja komunikacije medžu govornikami iz někakoj grupy sobě blizkyh narodnyh jezykov. Oni sut podgrupoju medžunarodnyh pomočnyh jezykov, ktore ne sut prioritetno prěznačene služiti kako jezyky do vsego světa, ale toliko do někakoj lingvistično ili geografično limitovanoj oblasti. Množinstvo v tutoj kategoriji sut pomočne medžuslovjanske jezyky, ale prvy taky zonalny jezyk pravděpodobno byl staroindijsky sanskrt. Najstarši znajemy priměr vseslovjanskogo jezyka jest Ruski jezik od hrvatskogo duhovnika <strong>Juraja Križanića</strong> (1618 - 1683), ale prvy literarny slověnsky jezyk dělany od <strong>svetyh Cirila i Methodija</strong> v 9-om stolětju takože imaje črty zonalnogo konstruovanogo jezyka. V sumě v tečenju od 17-ogo do 21-ogo stolětja bylo izrabotano vyše od 50 takyh pomočnyh slovjanskyh jezykov. Zonalne konstruovane jezyky voobče imajut veliku prědnost v tom, že jim ljudi iz danoj grupy razumějut bez velikogo učenja. Dokazom tutogo tvrdženja, medžu mnogo drugymi, jest text na tutyh webovyh stranicah, ktore sut pisane v medžuslovjanskom zonalnom jezyku.
</p>

<p id="english">
Zonal constructed languages are made to facilitate communication between speakers of a particular group of closely related national languages. They are a subgroup of the international auxiliary languages, but they are not preferably intended to serve for the whole world, but merely for some limited linguistic or geographic area only. Most numerous within this category by far are auxiliary inter-Slavic languages, but the first zonal conlang probably was the old-indian Sanskrit. The oldest known example is Ruski jezik by the Croatian priest <strong>Juraj Križanić</strong> (1618 - 1683), but the first literary Slavic language named Old (Church) Slavonic made by <strong>Saints Cyril and Methodius from Salonica</strong> in the 9th century also has features of a zonal constructed language. In total during 16th to 21st century, it was developed more than 50 such auxiliary Slavic languages. Zonal constructed languages, in general, have a great advantage, because people of an appropriate group understand them without the large learning. Proof of this claim, among many other things, is the content of these webpages, which are written in Interslavic zonal language. 
</p>

<!-- ######################### -->
<p id="space"></p>

<p id="slavic">
Medžuslovjansky jest jezyk, ktory Slovjani iz raznyh narodov koristajut, da by komunikovali medžu seboju. To jest možno, bo slovjanske jezyky sut shodna i srodna grupa. Znanje jednogo jezyka obyčno jest dostatočno, že by imalo se priblizno pojmanje, o čem jest text na libokakom drugom slovjanskom jezyku. Črěz věky, Slovjani sut naučili dogovoriti se s svojimi sosědami posrědstvom prostyh, improvizovanyh narěčij. Jednočasno, medžusobna shodnost vsih slovjanskyh jezykov jest nadyhala jezykoznavcev i drugyh k tvorjenju generičnogo slovjanskogo medžujezyka, razumivogo vsim Slovjanam. Srěd njih jest slavny staro(crkovno)slovjansky jezyk iz 9. stolětja, kako i mnoge druge projekty, publikovane od 16. stolětja do dnes pod imenami kako «vse-slovjanski», «medžu­slovjanski», «novo­slověnski», «obče­slovjanski» ili prosto «slovjanski», vse osnovane na tyhže samyh prědpoloženjah, čto čini jih blizko identičnymi.
</p>

<p id="english">
Interslavic is a language used by Slavs of different nations for communication among themselves. This is made possible by the fact that the Slavic languages are a relatively coherent family: knowing one of them is usually sufficient to get a rough idea of what a text in any other Slavic language is about. Throughout the centuries, Slavs have learned to talk to their neighbours by means of simple, improvised language forms. Simultaneously, the similarity of the Slavic languages has inspired linguists and others to create a generic Slavic language that would be under­standable for all Slavs alike. This includes the famous Old (Church) Slavonic language from the 9th century, as well as many other projects, published from the 16th century onwards under names like "Pan-Slavic", "Interslavic", "New Slavic", "Common Slavic" or simply "Slavic", all based on the same assumptions and therefore nearly identical. 
</p>

<!-- ######################### -->
<p id="space"></p>

<p id="slavic">
Medžuslovjansky jezyk byl stvorjeny od avtorov Vojtěcha Merunky i Jana van Steenbergena na osnově dvoh starših projektov Slovianski iz 2006 g. i Novoslověnsky iz 2009 g. Medžuslovjansky jezyk jest na samoj srědině živyh slovjanskyh jezykov, ktoroj vsi Slovjani razumějut bez nikakogo prědhodnogo učenja i mogut koristiti poslě minimalnogo učenja.
</p>

<p id="english">
The Interslavic language has been created by two authors Vojtěch Merunka and Jan van Steenbergen on the basis of older projects: Slovianski from 2006 and Neoslavonic from 2009. The Interslavic language is at the very centre of the modern Slavic languages which all Slavs can understand without any prior study and use after some minimal learning only.
</p>

<!-- ######################### -->
<p id="space"></p>

<ul id="slavic">
<li>Začto medžuslovjansky? Koristi takogo jezyka sut različne:</li>

<ul id="sublist">
<li>Jezyk može byti velika pomoč putovateljam v biznesu i turistikě;</li>
<li>možno jest osegnuti cěly slovjansky svět posrědstvom websajtov, forov, širjenja različnyh znanj (napr. techničskyh standardov), ... bez potrěby prěvodženja informacije na razne narodne jezyky;</li>
<li>člověk znajuči medžuslovjansky lěpěje razuměje texty na drugyh slovjanskyh jezykah; i</li>
<li>odlična metoda k bystrějšemu i legčemu učenju drugogo slovjanskogo jezyka.</li>
</ul>

<li>O projektu Medžuslovjansky (byvši Slovjanski) možete čitati tu: <a href="http://steen.free.fr/interslavic/">http://steen.free.fr/interslavic/</a></li>
<li>Slovnik: <a href="http://steen.free.fr/interslavic/dynamic_dictionary.html">http://steen.free.fr/interslavic/dynamic_dictionary.html</a></li>
<li>O projektu Medžuslovjansky (byvši Novoslověnski) možete čitati tu: <a href="http://www.neoslavonic.org">http://www.neoslavonic.org</a></li>

<li>Kniga za anglijske govorniky: 
<a href="http://ucebnice.heureka.cz/interslavic-zonal-constructed-language-vojtech-merunka/">češske e-shopy</a>, 
<a href="http://www.amazon.de/Interslavic-zonal-constructed-language-English-speakers/dp/8090700497/ref=sr_1_2">Amazon.de</a>, 
<a href="http://books.google.cz/books?id=egpTDwAAQBAJ">Google Books</a>, 
<a href="http://play.google.com/store/books/details?id=egpTDwAAQBAJ">Google Play</a></li>

<li>Besěda na Facebooku: <a href="http://www.facebook.com/groups/interslavic/">http://www.facebook.com/groups/interslavic/</a></li>
</ul>

<br />

<ul id="english">
<li>Why Interslavic? Such a language can be useful for various purposes:</li>

<ul  id="sublist">
<li>It can be a great help for travellers;</li>
<li>you can address the entire Slavic world via websites, fora, misc knowledge (e.g. technical standards), etc., without having to translate your information into several languages;</li>
<li>a person who knows Interslavic will have a better understanding of a text in any Slavic language; and</li>
<li>it is an excellent method for quicker and easier learning of a second Slavic language.</li>
</ul>

<li>Read here about Interslavic (former Slovianski): <a href="http://steen.free.fr/interslavic/">http://steen.free.fr/interslavic/</a></li>
<li>Dictionary: <a href="http://steen.free.fr/interslavic/dynamic_dictionary.html">http://steen.free.fr/interslavic/dynamic_dictionary.html</a></li>
<li>Read here about Interslavic (former Neoslavonic): <a href="http://www.neoslavonic.org">http://www.neoslavonic.org</a></li>

<li>Book for English speakers: 
<a href="http://ucebnice.heureka.cz/interslavic-zonal-constructed-language-vojtech-merunka/">Czech e-shops</a>, 
<a href="http://www.amazon.de/Interslavic-zonal-constructed-language-English-speakers/dp/8090700497/ref=sr_1_2">Amazon.de</a>, 
<a href="http://books.google.cz/books?id=egpTDwAAQBAJ">Google Books</a>, 
<a href="http://play.google.com/store/books/details?id=egpTDwAAQBAJ">Google Play</a></li>

<li>Facebook discussion group: <a href="http://www.facebook.com/groups/interslavic/">http://www.facebook.com/groups/interslavic/</a></li>
</ul>

<br />
<?php include("footer.html"); ?> 

</body>
</html>
